<?php use_helper('UrlFunctions'); ?>
<script>
findControl = function(){
  
  concatValueStr();
  
}

exportFindControl = function(action){
  strFormSerialize = returnQueryStringForm();
  executeFind(strFormSerialize, action);
}

executeFind = function(str, action){
  if(typeof(action) == 'undefined'){
	  url = "<?=buildUrl('bal/grid_BGS', "block=".$block)?>";
	}else{
	  switch (action){
	    case 'excel': parent.objMainTab.reqBody('<?=buildUrl('bal/excel')?>','001&'+str); break;
        case 'pdf': parent.objMainTab.reqBody('<?=buildUrl('bal/draw_BGS')?>','001&'+str); break;	    
	  }
	  
	  return;
	}
  //str = str + '&block=001';
  url = "<?=buildUrl('bal/grid_BGS', "block=".$block)?>";
	var myAjax  = new Ajax.Updater(
                                	"resultGrtid",
                                	url,
                                	{
                                		asynchronous:	true,
                                		method			: 'get',
                                		parameters	: str,
                                		evalScripts	: true,
                                		onLoading   : cargandoImagenSerch(),
                                		onComplete	: function(){
                                			//objMainTab.showMenu();
                                		}
                                	});
}

concatValueStr = function(){
  strFormSerialize = returnQueryStringForm();
  if(arguments[0]){
    strFormSerialize += '&'+arguments[0];
  }
  executeFind(strFormSerialize);
}

function returnQueryStringForm(){
  cadenaFormulario = $('form1').serialize();
             var posicion = new Array();
             var a_pars = new Array();
             var miArray = new Array();
             posicion=[];
             a_pars=[];
             miArray=[];
             miArray = cadenaFormulario.split('&');
             x=0;
             for (i = 0; i < miArray.length; i++){
            	   posicion[i] = miArray[i].indexOf('=');
            	   if(typeof(miArray[i-1])!='undefined'){
            				if(miArray[i].substring(posicion[i],0)== miArray[i-1].substring(posicion[i-1],0) ){
           					 porcion = miArray[i].substring((1+posicion[i]));
           					 a_pars[x-1]+='@'+porcion;
           				}else{
          					 a_pars[x]= miArray[i];
         					 x++;
          				}
          		}else{
          			 a_pars[x]= miArray[i];
          			  x++;
          		}
           }
  cadenaFormulario = a_pars.join('&');
  cadenaFormulario += '&id_form=frmFindFedu';
  return(cadenaFormulario);
}

function cargandoImagenSerch(){
	//disabledWin.setPathImage('/images/common/progress.gif');
	disabledWin.show(true,true,'resultGrtid');
}

</script>
<script>
findControl = function(){
  
  var pars = $('form1').serialize();
  
	disabledWin.setPathImage('/images/common/progress.gif');
	disabledWin.show(true,true,'resultGrtid');
  
	url = "<?=buildUrl('bal/grid_BGS', "block=".$block)?>";
	var myAjax  = new Ajax.Updater(
	"resultGrtid",
	url,
	{
		asynchronous:	true,
		method			: 'get',
		parameters	: pars,
		evalScripts	: true,
		onLoading		: function(){
			//$('contentMenu').innerHTML = $('messageLoadMenu').innerHTML;
		},
		onComplete	: function(){
			//objMainTab.showMenu();
		}
	});
  
}

deleteRegistro = function(id,codigo){
  //buildUrl('bal/delete/id/'block=001'
  if(confirm("żEsta seguro de eliminar la ficha del docente con codigo : "+codigo+ " ?")){
      //objMainTab.reqBody('<? //=buildUrl('bal/add')?>','block=001&delete=1&id='+id);   
      parent.objMainTab.reqBody('<?=buildUrl('bal/delete')?>','&delete=1&cod=jj&id='+id);
  }
  
}

acutalizarMercado = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrlComplet('mnt.php/ajax/request')?>';
  var pars = 'type=getMercado&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
    $('cboRepresentante').length = 1;
}

</script>
<script>
acutalizarRepresentante = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrlComplet('mnt.php/ajax/request')?>';
  var pars = 'type=getRepresentante&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}

</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>

<?php
//Carga los Mercado
$o_ClienteSystemClass = new ClienteSystemClass(new TipoNegocioBean());
$a_Mercado = $o_ClienteSystemClass->LoadMercadoXRol();

$o_SucursalBean = new SucursalBean();
$o_SucursalBL = new SucursalBL();
$a_Sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);


//Carga los Mercado
$o_ClienteSystemClass = new ClienteSystemClass(new TipoNegocioBean());
$a_Mercado = $o_ClienteSystemClass->LoadMercadoXRol();

$o_SucursalBean = new SucursalBean();
$o_SucursalBL = new SucursalBL();
$a_Sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);

$fecha =date('Y-m-d',strtotime('-4 days'));

//Cragar los periodos de los balances Generales

$o_BalanceGeneralBean = new BalanceGeneralBean();
$o_BalanceGeneralDP= new BalanceGeneralDP($o_BalanceGeneralBean);
$a_periodos = $o_BalanceGeneralDP->ObtenerPeriodosBG();
 
?>

<img src="/images/common/spacer.gif" width="10">
<table class="cuerpo" style="background: #E3E9E2" width="99%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td valign="top">
      <form name="form1" id="form1" method="POST">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody"><li>&nbsp;&nbsp;Balance General x Sucursal</li></td>
          <td align="right" valign="baseline">
            <!--<img name="add" src="/images/common/buttons/btnAdd.gif" onClick="parent.objMainTab.modalDialog('<?=buildUrl('bal/add')?>','block=001')" style="cursor:pointer">-->
            <img src="/images/common/buttons/btnPrint.gif" title="Graficar" onClick="exportFindControl('pdf');" style="cursor:pointer"/>
            <!--<img src="/images/common/buttons/btnPdf.gif" title="Exportar a PDF" onClick="exportFindControl('pdf');" style="cursor:pointer"/>-->
          </td>
        </tr>
      </table>
      <table class="marco" width="100%">
        <tr>
          <td align="center" valign="top">
            <table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="100%" valign="top" >
                  <table class="SubCabecera" width="100%" border="0" cellpadding="0" cellspacing="0">
                    <tr>
                       <td valign="top" >
                       	
                          <table class="SubCabecera"  width="70%" border="0" cellpadding="3" cellspacing="0">
                            <tr>
	                            <td width="12%" height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txtNombre">Sucursal</label></td>
		                        <td width="10%" nowrap="nowrap">
	    		                      	 <select name="cboSucursal" id="cboSucursal" type="text" class="combo" /> 
							 	            <option value="" > - Seleccionar - </option>
					                        <?php foreach ($a_Sucursal as $iKey => $o_SucursalBean){ ?>
					                        <option value="<?=$o_SucursalBean->getIdSucursal()?>">
					                          <?=$o_SucursalBean->getDescripcion()?>
					                        </option>
					                        <?php } ?> 
						              </select>
		                       	</td>
		                       	
	                       	 
                            </tr>
                           	<tr>
                              
                            	<td width="10%" nowrap="nowrap" class="cabecera"><label class="label" for="txtNombre" >Periodo</label>
		                         </td>
		                         <td align="right" valign="top"><input name="tipoPeriodo" id="tipoPeriodo" type="radio" value="diario" checked/></td>
		                         <td valign="middle" width="300px"><label class="label" for="txtNombre" >Diario</label></td>
		                         <td width="9%" height="26" nowrap="nowrap" ><label class="label" for="txt">Fecha Desde</label></td>
                              		<td nowrap="nowrap"><input class="text" type="text" ondblclick="this.value=''" size="8" maxlength="10" name="txtFechaInicial" id="txtFechaInicial" value='<?=$fecha?>' />&nbsp;<button type="button" onclick="return false" id="btnFechaInicial">...</button></td>
		                         	<script type="text/javascript">
			                            document.getElementById("txtFechaInicial").disabled = false;
			                            Calendar.setup({
			                              inputField : "txtFechaInicial",
			                              ifFormat : "%Y-%m-%d",
			                              daFormat : "%Y-%m-%d",
			                              button   : "btnFechaInicial"
			                            });
			                         </script>
		                         <td width="9%" height="26" nowrap="nowrap" ><label class="label" for="txtDni">Hasta</label></td>
	                             <td nowrap="nowrap">&nbsp;
	                             <select name="intervalodias">
	                             	<option value="1">1</option>
	                             	<option value="4">4</option>
	                             	<option value="7">7</option>
	                             	                             	
	                             	
	                             </select><label class="label" for="txtNombre">&nbsp;D&iacute;as</label>
	                             </td>
			                     	
                            </tr>
                           	<tr>
                              
                            	<td width="10%" nowrap="nowrap"></td>
		                         <td align="right" valign="top"><input name="tipoPeriodo" id="tipoPeriodo" type="radio" value="mensual"/></td>
		                         <td><label class="label" for="txtNombre">Mensual</label></td>
		                         <td width="9%" height="26" nowrap="nowrap"><label class="label" for="txt">Periodo Desde</label></td>
                              		<td nowrap="nowrap">
                              		<select name="periodoInicial">
		                             	<?php foreach ($a_periodos as $iKey => $periodo){ ?>
					                        <option value="<?=$periodo?>">
					                          <?=$periodo?>
					                        </option>
					                     <?php } ?> 
		                             </select>
                              		</td>
		                         	
		                         <td width="9%" height="26" nowrap="nowrap"><label class="label" for="txtDni">Hasta</label></td>
	                             <td nowrap="nowrap">&nbsp;
	                             <select name="intervalomeses">
	                             	<option value="1">1</option>
	                             	<option value="2">2</option>
	                             	<option value="3">3</option>
	                             	<option value="4">4</option>
	                             	<option value="5">5</option>
	                             	<option value="6">6</option>
	                             
	                             </select><label class="label" for="txtNombre">&nbsp;Meses</label>
	                             </td>
			                     	
                            </tr>
                          </table>
                       </td>                   
                    </tr>
                  </table>
                </td>
                </tr>   
			  <tr>
			    <td align="right" style="vertical-align:top"><input class="button" type="button" value="Buscar" onclick="findControl();"/></td>
			  </tr>
            </table>
          </td>
        </tr>
      </table>
       
      </form>
      <div id="resultGrtid">
      </div>
    </td>
  </tr>
</table>


<?php
if(isset($insert)){
  ?>
  <script>
    elementLoad.show(undefined,"Se inserto la ficha satisfactoriamente.");
    setTimeout("elementLoad.hide()",5000);
    $('IdPrestamo').value = "<?=$id?>";
    //$('cboEstadoPrestamo').value = "<?=$cboEstadoPrestamo?>";
    //$('cboMercado').value = "<?=$cboMercado?>";
    
    
    findControl();
  </script>
  <?php
}
if(isset($update)){
  ?>
  <script>
    elementLoad.show(undefined,"Se actualizo la ficha satisfactoriamente.");
    setTimeout("elementLoad.hide()",5000);
    $('IdPrestamo').value = "<?=$id?>";
   
    findControl();
  </script>
  <?php
}
if(isset($delete)){
  ?>
  <script>
    elementLoad.show(undefined,"Se elimino la ficha satisfactoriamente.");
    setTimeout("elementLoad.hide()",5000);
    $('IdPrestamo').value = "<?=$id?>";
    
    findControl();
    
  </script>
  <?php 
  
}
?>